Update article SEO settings
curl --request PATCH \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
title_suffix: '<string>',
description: '<string>',
keywords: ['<string>'],
allow_search_engine_crawl: true
})
};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting"
payload = {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": ["<string>"],
"allow_search_engine_crawl": True
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"seo_setting": {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
}{
"error": "Not found."
}Articles
Update article SEO settings
This API changes the SEO settings of an article. Only the fields you send change. The cover image and the Google Analytics ID are not available here. The put method works too. For CLI sessions, this needs the Modify articles permission.
PATCH
/
articles
/
{article_id}
/
seo_setting
Update article SEO settings
curl --request PATCH \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
'const options = {
method: 'PATCH',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
title_suffix: '<string>',
description: '<string>',
keywords: ['<string>'],
allow_search_engine_crawl: true
})
};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/seo_setting"
payload = {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": ["<string>"],
"allow_search_engine_crawl": True
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"seo_setting": {
"title": "<string>",
"title_suffix": "<string>",
"description": "<string>",
"keywords": [
"<string>"
],
"allow_search_engine_crawl": true
}
}{
"error": "Not found."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Body
application/json